#ifndef _SYS_TYPES_H
#define _SYS_TYPES_H

/* The type of a process identifier. */
typedef long int pid_t;

/* The type returned by sizeof(). */
typedef unsigned long int size_t;

/* Signed version of size_t. */
typedef long int ssize_t;

/* The type of an offset into a file. */
typedef long int off_t;

/* The type of a file's mode. */
typedef unsigned short mode_t;

/* The type of a filesystem inode. */
typedef unsigned long ino_t;

/* Value representing a time unit since the start of the current program. */
typedef long int clock_t;

/* Value representing time in seconds. */
typedef long int time_t;

/* Type representing signed time in microseconds. */
typedef long int suseconds_t;

#endif